Bug 604428 - yum update generates ERROR with xen packages
yum update generates ERROR with xen packages
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.7
All Linux
low Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 17:05 EDT by Geoff Quelch
Modified: 2014-01-21 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoff Quelch 2010-06-15 17:05:20 EDT
Description of problem:
Getting this error in yum update:
Loaded plugins: rhnplugin, security
/usr/lib/python2.4/xmllib.py:9: DeprecationWarning: The xmllib module is obsolete.  Use xml.sax instead.
 warnings.warn("The xmllib module is obsolete.  Use xml.sax instead.", DeprecationWarning)
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package flash-plugin.i386 0:10.1.53.64-release set to be updated
---> Package perl.i386 4:5.8.8-32.el5_5.1 set to be updated
---> Package xen-libs.i386 0:3.0.3-105.el5_5.3 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch     Version                 Repository              Size
================================================================================
Updating:
 flash-plugin     i386     10.1.53.64-release      adobe-linux-i386       4.5 M
 perl             i386     4:5.8.8-32.el5_5.1      rhel-i386-server-5      12 M
 xen-libs         i386     3.0.3-105.el5_5.3       rhel-i386-server-5     158 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       3 Package(s)

Total size: 16 M
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-80.el5.i386
Complete!

Version-Release number of selected component (if applicable):


How reproducible:
Reproduceable

Steps to Reproduce:
1. Run yum -y update
2.
3.
  
Actual results:
See above.

Expected results:
Packages update.

Additional info:
Comment 1 monte_olvera 2012-03-05 09:17:04 EST
I'm getting the exact same error on 'one' of my servers and it does not have any 'xen' packages installed.  Python version 2.4.3, same as all my other rhel5 servers.
Comment 2 James Antill 2013-03-12 16:55:22 EDT
 There were a few problems like this due to xen packages being installed from CD but then not being available post install.
 This should be fixed in RHEL-6, if only because xen doesn't exist.

Note You need to log in before you can comment on or make changes to this bug.